package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFSystemUser;
import com.sa.ibiz.demo.demo.service.dto.WFSystemUserSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFSystemUser] 服务对象接口
 */
public interface WFSystemUserService extends IService<WFSystemUser>{

	boolean update(WFSystemUser et);
	boolean getDraft(WFSystemUser et);
	boolean create(WFSystemUser et);
	boolean remove(WFSystemUser et);
		WFSystemUser get(WFSystemUser et);
	boolean checkKey(WFSystemUser et);
    List<WFSystemUser> listDefault(WFSystemUserSearchFilter filter) ;
	Page<WFSystemUser> searchDefault(WFSystemUserSearchFilter filter);
	/**	 实体[WFSystemUser] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }